Next Commerce
Campaigns

Campaigns Partial Update

Partial update a campaign's settings.

PATCH
/campaigns/{id}/

Authorization

oauth2 campaigns:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: campaigns:write

Path Parameters

id*integer

Campaign ID.

Header Parameters

X-29next-API-Version*"unstable"
Default"unstable"

Value in

  • "unstable"

Request Body

Response Body

application/json

curl -X PATCH "https://example.com/campaigns/0/" \  -H "X-29next-API-Version: unstable" \  -H "Content-Type: application/json" \  -d '{}'
{  "additional_currencies": [    "str"  ],  "api_key": "string",  "available_express_payment_methods": [    {      "code": "string",      "name": "string"    }  ],  "available_payment_methods": [    {      "code": "string",      "name": "string"    }  ],  "available_shipping_countries": [    {      "code": "string",      "name": "string"    }  ],  "created_at": "2019-08-24T14:15:22Z",  "currency": "str",  "id": 0,  "language": "str",  "name": "string",  "payment_gateway_group_id": 0,  "payment_gateway_group_name": "string",  "paypal_account_id": 0,  "statement_descriptor": "string",  "updated_at": "2019-08-24T14:15:22Z"}